<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\HandleBelegungBearbeiten;

class HandleBelegungBearbeitenController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\HandleBelegungBearbeiten\HandleBelegungBearbeitenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleBelegungBearbeitenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId(): int
  {
    return HandleBelegungBearbeitenUseCase::getToolId();
  }

  protected function getToolSectionId(): int
  {
    return HandleBelegungBearbeitenUseCase::getToolSectionId();
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerController(null, $pUseCaseResponse->statusMessage);
  }
}